{ config, pkgs, lib, ... }: {

  imports = [

    <system/desktop>
    ./hardware-configuration.nix

    #./samba.nix
    ./syncthing.nix
    ./tinc.nix
    #./wifi-access-point.nix

  ];

  custom.samba-share = {
    enable = false;
    folders = { public = "/home/palo/movies"; };
  };

  system.custom.wifi.interfaces = [ "wlp3s0" ];

  networking.hostName = "pepe";

  security.wrappers = {
    pmount.source = "${pkgs.pmount}/bin/pmount";
    pumount.source = "${pkgs.pmount}/bin/pumount";
  };

  # keybase
  services.keybase.enable = false;
  services.kbfs.enable = false;

  programs.custom.steam.enable = false;
  programs.custom.video.enable = false;

  services.printing.enable = true;

  # fonts
  # -----
  programs.custom.urxvt.fontSize = 12;
  programs.custom.xterm.fontSize = 12;
  system.custom.fonts.dpi = 100;

  virtualisation = {
    docker.enable = false;

    virtualbox = {
      host.enable = false;
      guest.x11 = false;
      guest.enable = false;
    };
  };

  configuration.desktop = {
    width = 1366;
    height = 768;
  };

}

