# Do not modify this file!  It was generated by ‘nixos-generate-config’
# and may be overwritten by future invocations.  Please make changes
# to /etc/nixos/configuration.nix instead.
{ config, lib, pkgs, ... }:

{
  imports = [ <nixpkgs/nixos/modules/installer/scan/not-detected.nix> ];

  boot.initrd.availableKernelModules =
    [ "ehci_pci" "ahci" "usb_storage" "sd_mod" "sdhci_pci" ];
  boot.kernelModules = [ "kvm-intel" ];
  boot.extraModulePackages = [ ];

  boot.loader.grub = {
    enable = true;
    version = 2;
    device = "/dev/sda";
  };

  zramSwap = {
    enable = true;
    numDevices = 2;
    swapDevices = 1;
    memoryPercent = 50;
  };

  fileSystems."/share/" = {
    device = "/dev/ram1";
    fsType = "tmpfs";
  };

  fileSystems."/browsers/" = {
    #device = "/dev/ram2";
    #fsType = "tmpfs";
    options = [ "noatime" "nodiratime" "discard" ];
    device = "/dev/secure_vg/browser";
    fsType = "ext4";
  };

  nix.maxJobs = lib.mkDefault 4;
  powerManagement.cpuFreqGovernor = lib.mkDefault "powersave";

  # lvm volume group
  # ----------------
  boot.initrd.luks.devices = [{
    name = "secure_vg";
    device = "/dev/sda2";
    preLVM = true;
  }];

  # NTFS support
  # ------------
  environment.systemPackages = [ pkgs.ntfs3g ];

  # root
  # ----
  fileSystems."/" = {
    options = [ "noatime" "nodiratime" "discard" ];
    device = "/dev/secure_vg/root";
    fsType = "ext4";
  };

  # boot
  # ----
  fileSystems."/boot" = {
    device = "/dev/sda1";
    fsType = "ext4";
  };

}
