{ config, pkgs, lib, ... }: {

  test.services.syncthing = {
    enable = true;
    openDefaultPorts = false;
    user = "palo";
    dataDir = "/home/palo/.syncthing";
    configDir = "/home/palo/.syncthing";
    declarative = {
      cert = toString <secrets/syncthing/cert.pem>;
      key = toString <secrets/syncthing/key.pem>;

      overrideFolders = true;
      folders = {

        # on encrypted drive
        # ------------------
        desktop = {
          enable = true;
          path = "/home/palo/desktop";
        };
        finance = {
          enable = true;
          path = "/home/palo/finance";
        };

        # no need to be encrypted
        # -----------------------
        book = {
          enable = true;
          path = "/home/palo/books";
        };
        kruck-pepe = {
          enable = true;
          path = "/home/palo/pepe-kruck";
        };
        music-library = {
          enable = true;
          path = "/home/palo/music-library";
        };
        music-projects = {
          enable = true;
          path = "/home/palo/music-projects";
        };
        porani-pepe = {
          enable = true;
          path = "/home/palo/pepe-porani";
        };
        schasch-pepe = {
          enable = true;
          path = "/home/palo/pepe-schasch";
        };
        workout-pepe = {
          enable = true;
          path = "/home/palo/pepe-workout";
        };

      };
    };
  };
}
