{ rustPlatform, fetchgit, stdenv, cairo, ... }:

rustPlatform.buildRustPackage rec {
  name = "image-geneartor-${version}";
  version = "2.0.0";
  # src = ./.;
  src = fetchgit {
    url = "https://github.com/mrVanDalo/image-generator";
    rev = "7f5fd75ffa0f4ebd531f7f01b51bbec26ff000f4";
    sha256 = "1vflkrld7qiikykna2ygw6cv8vn07x458pkrsrxm8imhm579076r";
  };

  cargoSha256 = "07pwds279qc54g5fza805ah2m8jhrdzng7vb1bi24a9ra9ci8s29";
  verifyCargoDeps = true;

  buildInputs = [ cairo ];

  meta = with stdenv.lib; {
    description =
      "An image generator unsing entropy and a JSON as configuration.";
    homepage = "https://git.ingolf-wagner.de/palo/image-generator2";
    license = licenses.gplv3;
    maintainers = [ maintainers.mrVanDalo ];
    platforms = platforms.all;
  };
}

