{ config, lib, pkgs, ... }: {

  imports = [
    <system/all>
    ./netdata.nix
    ./initssh.nix
    ./graylog-exporter.nix
    ./prometheus-exporters.nix
    ./restic.nix
  ];

  # make sure laptops stay awake when closing the montior
  services.logind.lidSwitch = "ignore";
  powerManagement.enable = false;
  powerManagement.cpuFreqGovernor = "ondemand";
  powerManagement.scsiLinkPolicy = "min_power";

  # config vim
  programs.custom.vim.enable = true;

  # no need to to start a service
  environment.systemPackages = [ pkgs.mosh ];

}

