{ pkgs, lib, ... }: {
  imports = [ ./hardware-configuration.nix ./tinc-server.nix ];

  networking.hostName = "server";

  # ssh
  environment.systemPackages = with pkgs; [ htop git vim mosh tmux ];
  networking.firewall.allowedUDPPortRanges = [{
    from = 60000;
    to = 60100;
  }];
  services.sshd.enable = true;
  users.users.root.openssh.authorizedKeys.keyFiles =
    [ <test-generated/sshkey.pub> ];

  # wireshark
  programs.wireshark.enable = true;

}
